Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.internals.lifecycle
Class MVELLifeCycleManager

    java.lang.Object
      org.jbpm.services.task.internals.lifecycle.MVELLifeCycleManager

All Implemented Interfaces:
  LifeCycleManager

    @ApplicationScoped
    public class MVELLifeCycleManager

extends Object
implements LifeCycleManager

Constructor Summary
`MVELLifeCycleManager()`

Method Summary
`static Object` | `eval(Reader reader)`
`static Object` | `eval(Reader reader, Map<String,Object> vars)`
`static Object` | `eval(String str, Map<String,Object> vars)`
`void` | `initMVELOperations()`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`void` | `setLogger(Logger logger)`
`void` | `setPm(JbpmServicesPersistenceManager pm)`
`void` | `setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)`
`void` | `setTaskEvents(javax.enterprise.event.Event<Task> taskEvents)`
`void` | `setTaskIdentityService(org.kie.internal.task.api.TaskIdentityService taskIdentityService)`
`void` | `setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)`
`void` | `taskOperation(org.kie.internal.task.api.model.Operation operation, long taskId, String userId, String targetEntityId, Map<String,Object> data, List<String> groupIds)`
`static String` | `toString(Reader reader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MVELLifeCycleManager

    public MVELLifeCycleManager()

Method Detail

### setPm

    public void setPm(JbpmServicesPersistenceManager pm)

### setLogger

    public void setLogger(Logger logger)

### setTaskEvents

    public void setTaskEvents(javax.enterprise.event.Event<Task> taskEvents)

### setTaskQueryService

    public void setTaskQueryService(org.kie.internal.task.api.TaskQueryService taskQueryService)

### setTaskIdentityService

    public void setTaskIdentityService(org.kie.internal.task.api.TaskIdentityService taskIdentityService)

### setTaskContentService

    public void setTaskContentService(org.kie.internal.task.api.TaskContentService taskContentService)

### taskOperation

    public void taskOperation(org.kie.internal.task.api.model.Operation operation,
                              long taskId,
                              String userId,
                              String targetEntityId,
                              Map<String,Object> data,
                              List<String> groupIds)
                       throws TaskException

  Specified by:
    `taskOperation` in interface `LifeCycleManager`
  Throws:
    `TaskException`

### initMVELOperations

    @PostConstruct
    public void initMVELOperations()

### toString

    public static String toString(Reader reader)
                           throws IOException

  Throws:
    `IOException`

### eval

    public static Object eval(Reader reader)

### eval

    public static Object eval(Reader reader,
                              Map<String,Object> vars)

### eval

    public static Object eval(String str,
                              Map<String,Object> vars)

### nominate

    public void nominate(long taskId,
                         String userId,
                         List<OrganizationalEntity> potentialOwners)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.